<blur-section>

    <blur-column>
        <blur-section
            gap
            padding
            :title="$tc('blurElysiumSlides.forms.slideBackground.label')"
            title-icon="blurph-paint-bucket-bold"
            :style="viewStyle({
                mobile: { borderBottom: '1px solid var(--color-border-primary-default)' },
            })">

            <blur-column
                :cols-tablet="6">

                <blur-colorpicker
                    :label="$tc('blurElysium.general.backgroundColor')"
                    v-model:value="slide.slideSettings.slide.bgColor" />
            </blur-column>

        </blur-section>
    </blur-column>

    <blur-column> 
        <blur-section
            gap
            padding
            :title="$tc('blurElysiumSlides.forms.slideGradient.label')"
            title-icon="blurph-circle-half-bold"            
            :style="viewStyle({
                mobile: { borderBottom: '1px solid #ddd' },
            })">

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-colorpicker
                    :label="$tc('blurElysiumSlides.forms.slideGradient.startColor')"
                    v-model:value="slide.slideSettings.slide.bgGradient.startColor" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-colorpicker
                    :label="$tc('blurElysiumSlides.forms.slideGradient.endColor')"
                    v-model:value="slide.slideSettings.slide.bgGradient.endColor" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-select-input 
                    :options="[
                        { value: 'linear-gradient', label: $tc('blurElysiumSlides.forms.slideGradient.gradientTypeLinear') }
                    ]"
                    :hideClearableButton="true"
                    :placeholder="$tc('blurElysiumSlides.forms.slideGradient.gradientTypeLinear')"
                    :label="$tc('blurElysiumSlides.forms.slideGradient.gradientType')"
                    v-model:value="slide.slideSettings.slide.bgGradient.gradientType" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input
                    type="int"
                    placeholder="45"
                    :step="1"
                    :min="-360"
                    :max="360"
                    :label="$tc('blurElysiumSlides.forms.slideGradient.gradientDeg')"
                    :model-value="slide.slideSettings.slide.bgGradient.gradientDeg"
                    @update-value="value => slide.slideSettings.slide.bgGradient.gradientDeg = value" />
            </blur-column>

        </blur-section>
    </blur-column>

    <blur-column>
        <blur-section
            gap
            padding
            :style="viewStyle({
                mobile: { borderBottom: '1px solid var(--color-border-primary-default)' },
            })"
            :title="$tc('blurElysium.general.spacing')"
            title-icon="blurph-ruler-bold">

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input 
                    :label="$tc('blurElysium.general.paddingX')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('slide.paddingX', 15)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.slide.paddingX"
                    @update-value="value => viewportSettings.slide.paddingX = value" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input 
                    :label="$tc('blurElysium.general.paddingY')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('slide.paddingY', 15)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.slide.paddingY"
                    @update-value="value => viewportSettings.slide.paddingY = value" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-number-input 
                    :label="$tc('blurElysium.general.borderRadius')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('slide.borderRadius', 0)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.slide.borderRadius"
                    @update-value="value => viewportSettings.slide.borderRadius = value" /> 
            </blur-column>

        </blur-section>
    </blur-column>

    <blur-column>
        <blur-section
            gap
            padding
            :title="$tc('blurElysium.general.alignment')"
            :description="$tc('blurElysiumSlides.forms.displaySlide.alignmentDescription')"
            title-icon="blurph-arrows-out-line-horizontal-bold">

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-select-input 
                    :label="$tc('blurElysium.general.alignX.label')" 
                    :placeholder="viewportsPlaceholder('slide.justifyContent', 'center', 'blurElysium.general.alignX')"
                    :device="currentDevice"
                    :show-device="true"
                    :options="[
                        { value: 'flex-start', label: $tc('blurElysium.general.alignX.flexStart') },
                        { value: 'center', label: $tc('blurElysium.general.alignX.center') },
                        { value: 'flex-end', label: $tc('blurElysium.general.alignX.flexEnd') }
                    ]"
                    @on-device="deviceSwitch"
                    v-model:value="viewportSettings.slide.justifyContent" />
            </blur-column>

            <blur-column
                :cols-tablet="6"
                :cols-desktop="3">

                <blur-select-input 
                    :label="$tc('blurElysium.general.alignY.label')" 
                    :placeholder="viewportsPlaceholder('slide.alignItems', 'center', 'blurElysium.general.alignY')"
                    :device="currentDevice"
                    :show-device="true"
                    :options="[
                        { value: 'flex-start', label: $tc('blurElysium.general.top') },
                        { value: 'center', label: $tc('blurElysium.general.center') },
                        { value: 'flex-end', label: $tc('blurElysium.general.bottom') }
                    ]"
                    @on-device="deviceSwitch"
                    v-model:value="viewportSettings.slide.alignItems" />
            </blur-column>

        </blur-section>
    </blur-column>
</blur-section>